Creates a surface by extruding a curve to a taper. Unlike Lofts and Sweeps, the initial orientation of the profile curve is maintained through the extrusion.
Rhino.ExtrudeCurveTapered (strCurve, dblDistance, arrDirection, arrBasePoint, dblAngle [, intCornerType])
strCurve |
Required. String. The identifier of the curve object to extrude. |
||||||||||||
dblDistance |
Required. Number. The extrusion distance. |
||||||||||||
arrDirection |
Required. Array. A 3-D vector that specifies the extrusion direction. |
||||||||||||
arrBasePoint |
Required. Array. A 3-D point that specifies the base point of the extrusion. |
||||||||||||
dblAngle |
Required. Number. The angle of the extrusion. |
||||||||||||
intCornerType |
Optional. Number. The corner type of the extrusion, where:
|
Array |
An array of strings identifying the newly created surface objects if successful. |
Null |
If not successful, or on error. |
Dim strCurve
strCurve = Rhino.AddCircle(Rhino.WorldXYPlane, 5)
Rhino.ExtrudeCurveTapered strCurve, 5.0, Array(0,0,1), Array(0,0,0), 20